curl --request GET \
--url https://api.example.com/api/v1/campaigns/{campaign_id}/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/campaigns/{campaign_id}/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/campaigns/{campaign_id}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/campaigns/{campaign_id}/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/campaigns/{campaign_id}/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/campaigns/{campaign_id}/leads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/campaigns/{campaign_id}/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"leads": [
{
"campaign_lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_index": 123,
"status": "pending",
"current_step": 123,
"variant_map": {},
"lead_data": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"next_action_at": "2023-11-07T05:31:56Z",
"assigned_alias_id": "<string>",
"send_hold": "<string>",
"send_hold_from_step": 123,
"send_hold_to_step": 123,
"email_gateway": "<string>"
}
],
"total": 123,
"page": 123,
"page_size": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List Campaign Leads
List leads for a campaign with their current status (org-scoped).
Includes lead data from the dataset for display purposes.
Args: campaign_id: Campaign ID org_context: Resolved org scope for the request (B1b-read) service: Campaign service instance status_filter: Optional status filter page: Page number (1-indexed) page_size: Items per page (max 200)
Returns: Paginated list of campaign leads with lead data
curl --request GET \
--url https://api.example.com/api/v1/campaigns/{campaign_id}/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/campaigns/{campaign_id}/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/campaigns/{campaign_id}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/campaigns/{campaign_id}/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/campaigns/{campaign_id}/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/campaigns/{campaign_id}/leads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/campaigns/{campaign_id}/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"leads": [
{
"campaign_lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_index": 123,
"status": "pending",
"current_step": 123,
"variant_map": {},
"lead_data": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"next_action_at": "2023-11-07T05:31:56Z",
"assigned_alias_id": "<string>",
"send_hold": "<string>",
"send_hold_from_step": 123,
"send_hold_to_step": 123,
"email_gateway": "<string>"
}
],
"total": 123,
"page": 123,
"page_size": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Campaign lead status values.
SKIPPED is a new terminal status introduced by the commonality
threshold filter (plan 2026-05-21-commonality-threshold-filter, AC-19).
Dispatcher selection (status IN ('active', 'connected')) already
naturally excludes it. The DB CHECK constraint expansion lives in PR-2a.
pending, preview, active, processing, completed, replied, bounced, unsubscribed, failed, paused, invalid, skipped, waiting_acceptance, connected, connection_ignored, rate_limited Page number
x >= 1Items per page
1 <= x <= 200Corporate email gateway segment: 'any' for every lead whose email domain is behind a secure email gateway (these leads are not emailed), or one gateway such as 'mimecast'.
^[a-z0-9_]{1,40}$